opendmarc-reports(8)

NAME
opendmarc-reports - OpenDMARC aggregate report generation tool

SYNOPSIS
opendmarc-reports [options]

DESCRIPTION
opendmarc-reports pulls data from an OpenDMARC database and generates periodic aggregate reports. The database is populated by a running opendmarc-import(8) on a message history file generated by an opendmarc(8) filter as messages arrive and are processed. This includes the collection of reporting URIs, which this script uses to make reports available to those that request them.

OPTIONS

--day
    Generate reports on day boundaries. Overrides the value of --interval (see below).

--dbhost=hostname
    Specifies the hostname on which the SQL server is running. Defaults to the value of the environment variable OPENDMARC_DBHOST, or "localhost" if the environment variable is not set.

--dbname=name
    Specifies the SQL database name to be accessed. Defaults to the value of the environment variable OPENDMARC_DB, or "opendmarc" if the environment variable is not set.

--dbpasswd=password
    Specifies the password for the SQL database to be accessed. Defaults to the value of the environment variable OPENDMARC_PASSWORD, or "opendmarc" if the environment variable is not set.

--dbport=port
    Specifies the TCP port on which the SQL server is expected to be listening. Defaults to the value of the environment variable OPENDMARC_PORT, or 3306 if the environment variable is not set.

--dbuser=user
    Specifies the SQL user to be used to access the database. Defaults to the value of the environment variable OPENDMARC_USER, or "opendmarc" if the environment variable is not set.

--domain=name
    Generates a report (if one is due) for the named domain, rather than checking all of them.

--help
    Prints a help message and terminates.

--interval=secs
    Generates reports only for hosts that have not had a report generated in at least the last secs seconds.

--nodomain=name
    Skips generating a report for the named domain. Can be specified multiple times to skip multiple reporting domains.

--noupdate
    Suppresses marking the time of the transmission of the report in the database. Normally this would be done to prevent reports from being sent too close together.

--report-email=addr
    Generates reports using the specified address, which is used in the report content and in the SMTP transaction. The default is "postmaster@HOSTNAME" where HOSTNAME is replaced by the hostname of the host generating the report.

--report-org=domain
    Generates reports using the specified domain name as the organization responsible for the report. This is used to create the archive filename and is included in the report content. The default is the hostname of the host generating the report.

--smtp-host=host
    Causes reports to be sent by transmitting them using SMTP to the named host which can be an IP address or a hostname. The default is "127.0.0.1".

--smtp-port=port
    Causes reports to be sent by transmitting them using SMTP to the specified port. The default is 25.

--utc
    Instructs the database to change to the UTC timezone when generating output. Otherwise, the database default is used.

--verbose
    Increase the amount of verbosity written to standard output.

--version
    Print version number and exit.

VERSION
This man page covers the version of opendmarc-reports that shipped with version 1.4.2 of OpenDMARC.

COPYRIGHT
Copyright (c) 2012, 2014, 2015, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendmarc(8), opendmarc.conf(5), opendmarc-import(8)